<template>
  <v-sheet width="50%" class="mx-auto mt-15">
    <v-form fast-fail @submit.prevent>
      <v-text-field
        v-model="title"
        label="Title"
        variant="solo-filled"
      ></v-text-field>

      <v-textarea
        v-model="descripton"
        color="deep-orange"
        label="Description"
        variant="solo-filled"
        
      ></v-textarea>
      <v-textarea
        v-model="body"
        color="deep-orange"
        label="Body"
        variant="solo-filled"
      ></v-textarea>

      <v-btn type="submit" block color="deep-orange" @click.prevent="newArticleHandler" class="mt-2 ">Submit</v-btn>
    </v-form>
  </v-sheet>
</template>
<script>
  export default {
    data(){
        return{
            title:'',
            descripton:'',
            body:''
        }
    },
    methods:{
        newArticleHandler(){
          const new_article = {
            title:this.title,
            description:this.descripton,
            body:this.body
          }
          this.$store.dispatch('handle_new_article', new_article)
        }
    }
  }
</script>